Page MenuHomePhabricator

HtmlUrlFormatter.php: Data value type mismatch. Expected a StringValue
Closed, ResolvedPublic

Description

Exception from line 48 of /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/lib/includes/formatters/HtmlUrlFormatter.php: Data value type mismatch. Expected a StringValue.
#0 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/lib/includes/formatters/DispatchingValueFormatter.php(72): Wikibase\Lib\HtmlUrlFormatter->format(Object(Wikibase\DataModel\Entity\EntityIdValue))
#1 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/lib/includes/formatters/PropertyValueSnakFormatter.php(91): Wikibase\Lib\DispatchingValueFormatter->formatValue(Object(Wikibase\DataModel\Entity\EntityIdValue), 'url')
#2 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/lib/includes/formatters/PropertyValueSnakFormatter.php(73): Wikibase\Lib\PropertyValueSnakFormatter->formatValue(Object(Wikibase\DataModel\Entity\EntityIdValue), 'url')
#3 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/lib/includes/formatters/DispatchingSnakFormatter.php(74): Wikibase\Lib\PropertyValueSnakFormatter->formatSnak(Object(Wikibase\DataModel\Snak\PropertyValueSnak))
#4 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/repo/includes/ClaimHtmlGenerator.php(265): Wikibase\Lib\DispatchingSnakFormatter->formatSnak(Object(Wikibase\DataModel\Snak\PropertyValueSnak))
#5 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/repo/includes/ClaimHtmlGenerator.php(95): Wikibase\ClaimHtmlGenerator->getFormattedSnakValue(Object(Wikibase\DataModel\Snak\PropertyValueSnak))
#6 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/repo/includes/EntityView.php(549): Wikibase\ClaimHtmlGenerator->getHtmlForClaim(Object(Wikibase\DataModel\Claim\Statement), '<span class="wb...')
#7 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/repo/includes/EntityView.php(251): Wikibase\EntityView->getHtmlForClaims(Object(Wikibase\DataModel\Entity\Item), true)
#8 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/repo/includes/ItemView.php(24): Wikibase\EntityView->getInnerHtml(Object(Wikibase\EntityRevision), true)
#9 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/repo/includes/EntityView.php(195): Wikibase\ItemView->getInnerHtml(Object(Wikibase\EntityRevision), true)
#10 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/repo/includes/EntityView.php(359): Wikibase\EntityView->getHtml(Object(Wikibase\EntityRevision), true)
#11 /usr/local/apache/common-local/php-1.23wmf15/extensions/Wikidata/extensions/Wikibase/repo/includes/content/EntityContent.php(154): Wikibase\EntityView->getParserOutput(Object(Wikibase\EntityRevision), true, true)


Version: master
Severity: normal

Details

Reference
bz61915

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:55 AM
bzimport set Reference to bz61915.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Feb 25 2014, 4:19 PM
aude added a comment.Feb 25 2014, 4:20 PM

might be related to bug 61913 but that needs more investigation

Change 115397 had a related patch set uploaded by Aude:
Handle InvalidArgumentException in ClaimHtmlGenerator

https://gerrit.wikimedia.org/r/115397

Change 115397 merged by Addshore:
Handle InvalidArgumentException in ClaimHtmlGenerator

https://gerrit.wikimedia.org/r/115397

Change 115418 had a related patch set uploaded by Aude:
Update Wikidata build

https://gerrit.wikimedia.org/r/115418

Change 115418 merged by Reedy:
Update Wikidata build

https://gerrit.wikimedia.org/r/115418

Change 117219 had a related patch set uploaded by Hoo man:
Handle InvalidArgumentException in ClaimHtmlGenerator

https://gerrit.wikimedia.org/r/117219

Change 117219 merged by jenkins-bot:
Handle InvalidArgumentException in ClaimHtmlGenerator

https://gerrit.wikimedia.org/r/117219

Change 117240 had a related patch set uploaded by Aude:
new build, cherry pick I5e62345 for ClaimHtmlGenerator

https://gerrit.wikimedia.org/r/117240

Change 117240 merged by jenkins-bot:
new build, cherry pick I5e62345 for ClaimHtmlGenerator

https://gerrit.wikimedia.org/r/117240

Change 117306 had a related patch set uploaded by Aude:
Update Wikidata build, fix uncaught exception in claim html formatting

https://gerrit.wikimedia.org/r/117306

Change 117306 merged by jenkins-bot:
Update Wikidata build, fix uncaught exception in claim html formatting

https://gerrit.wikimedia.org/r/117306

Change 119768 had a related patch set uploaded by Aude:
Handle InvalidArgumentException in ClaimHtmlGenerator

https://gerrit.wikimedia.org/r/119768

Change 119768 merged by jenkins-bot:
Handle InvalidArgumentException in ClaimHtmlGenerator

https://gerrit.wikimedia.org/r/119768

aude added a comment.Mar 20 2014, 4:43 PM

quite sure the same issue as bug 61913 (although different edge case causes... one an imported item, second is test data leaking into my database and corrupting an item)

  • This bug has been marked as a duplicate of bug 61913 ***
aude added a comment.Mar 20 2014, 4:44 PM

to be fixed properly in bug 62495 in master

Change 120530 had a related patch set uploaded by Aude:
Handle InvalidArgumentException in ClaimHtmlGenerator

https://gerrit.wikimedia.org/r/120530